#### D.2.11.6 defringp

Procedure from library `ring.lib` (see ring_lib).

Usage:
  defringp(n,[p]); n,p=integers

Return:
  ring R with characteristic p [default: p=32003], ordering dp and n variables x,y,z,a,b,...if n<=26 (resp. x(1..n) if n>26)

Note:
  This proc uses 'execute' or calls a procedure using 'execute'.

Example:

    LIB "ring.lib";
    def P5=defringp(5,0); P5; "";
    ==> //   characteristic : 0
    ==> //   number of vars : 5
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y z a b
    ==> //        block   2 : ordering C
    ==>
    def P30=defringp(30); P30;
    ==> //   characteristic : 32003
    ==> //   number of vars : 30
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3) x(4) x(5) x(6) x(7) x(8) x(\
       9) x(10) x(11) x(12) x(13) x(14) x(15) x(16) x(17) x(18) x(19) x(20) x(21\
       ) x(22) x(23) x(24) x(25) x(26) x(27) x(28) x(29) x(30)
    ==> //        block   2 : ordering C
    kill P5,P30;

User manual for Singular version 4-0-3, 2016, generated by texi2html.